
package cn.sh.stc.sict.cloud.common.core.constant;

/**
 * @Description
 * @Author
 * @Date
 */
public class RedisCacheConstant {
    /**
     *  用户角色与终端类型的分隔符
     */
    public static final String USER_ROLE_SEPARATOR = "@";
    /**
     *  微信用户信息明细
     */
    public static final String WX_USER_DETAILS = "wx_user_details";
    /**
     * 基础用户信息明细 base
     */
    public static final String BASE_USER_DETAILS = "base_user_details";
    /**
     * 基础学生信息
     */
    public static final String CURRENT_STUDENT = "current_student";
    /**
     * 基础用户信息明细
     */
    public static final String USER_DETAILS = "user_details";
    /**
     * 当前登录用户的角色信息
     */
    public static final String TOKEN_ROLES = "token_roles";
    /**
     * 当前登录用户的详细信息
     */
    public static final String TOKEN_CURRENT = "token_current";
    /**
     * 微信应用缓存
     */
    public static final String WECHAT_OFFICALS = "wechat_officals";
    /**
     * 冷知识点赞数量
     */
    public static final String CLD_TRIVIA_NUM = "cld_trivia_num";

    /**
     * 积分
     */
    public static final String CREDIT = "credit";
    public static final String CREDIT_NEXT_LEVEL_BY_SCORE = "credit:score:next";
    public static final String CREDIT_LEVEL_BY_SCORE = "credit:score:current";

    /**
     * 未付款订单
     */
    public static final String PAY_ORDER_NOT_PAID = "order_info:not_paid";
    /**
     * temp 微信支付开关
     */
    public static final String WECHAT_APPLE_PAY_SWITCH = "order_info:wechat_apple_pay_switch";

    /**
     * 是否需要弹窗
     */
    public static final String WECHAT_POP_UP = "pop-up:kindergarten";


    /**
     * 用户短信验证码
     */
    public static final String SICT_PHONE_CODE_KEY = "SICT_PHONE_CODE_KEY";
    /**
     * 路由存放
     */
    public static final String ROUTE_KEY = "gateway_route_key";

    /**
     * 验证码前缀
     */
    public static final String DEFAULT_CODE_KEY = "SICT_DEFAULT_CODE_KEY_";
}
